EXTRACTRES(1)

NAME
extractres

SYNOPSIS
extractres [OPTION...] [INFILE [OUTFILE]]

DESCRIPTION

extractres extracts resources (fonts, procsets, patterns, files, etc) appearing in a PostScript document, and puts appropriate %%IncludeResource comments in the document prologue. The extracted resources are written to files with the same name as the resource, and an appropriate extension. The pipeline

    extractres file.ps | includeres >out.ps

will move all resources appearing in a document to the document prologue, removing redundant copies. The output file can then be put through page re-arrangement filters such as psnup or pstops safely. Extract resources from a PostScript document.

INFILE
    `-' or no INFILE argument means standard input

OUTFILE
    `-' or no OUTFILE argument means standard output

OPTIONS

-m, --merge
    merge resources of the same name into one file (needed e.g. for fonts output in multiple blocks)

-v, --version
    show program's version number and exit

-q, --quiet
    don't show progress

AUTHOR

BUGS
extractres does not alter the %%DocumentSuppliedResources comments.